Bug 1662487 - Severe screen corruption with machine hard freeze
Summary: Severe screen corruption with machine hard freeze
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-28 21:40 UTC by Jonathan S
Modified: 2019-05-28 23:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:30:00 UTC


Attachments (Terms of Use)

Description Jonathan S 2018-12-28 21:40:55 UTC
Description of problem:

Without any obvious cause, the screen will become severely corrupted, so much so that it's not even possible to see how many windows are open - and in one case, the corruption was followed by simple white and black vertical bars.

When the screen corrupts, the machine freezes and only a hard reset works.

Happens infrequently - a month between occurrences - but the hard freezes can lead to data loss.

Version-Release number of selected component (if applicable):

This has happened under kernels 4.19.4-200.fc28.x86_64 
and 4.19.10-200.fc28.x86_64.

Always using:
xorg-x11-drv-nouveau-1.0.15-4.fc28.x86_64

OS is Fedora 28 using cinnamon.

Machine details:

inxi -C
CPU:       Topology: Quad Core model: Intel Core2 Quad Q9450 bits: 64 type: MCP L2 cache: 6144 KiB 
           Speed: 1999 MHz min/max: 2000/2667 MHz Core speeds (MHz): 1: 1995 2: 1995 3: 2255 4: 2006 

inxi -G
Graphics:  Device-1: NVIDIA G92GL [Quadro FX 3700] driver: nouveau v: kernel 
           Display: server: Fedora Project X.org 1.19.6 driver: modesetting unloaded: fbdev,vesa resolution: 1920x1200~60Hz 
           OpenGL: renderer: NV92 v: 3.3 Mesa 18.0.5 

How reproducible:

Seems not to have an obvious cause, although I've noticed that a lot of windows are open at the time it happens.

Additional info:

Because it causes a hard freeze, the journal is often useless, but on one occasion, I got this as the penultimate line (the last actual line being just the kernel listing all the loaded modules):

kernel: WARNING: CPU: 1 PID: 0 at drivers/gpu/drm/nouveau/nvkm/subdev/mc/base.c:72 nvkm_mc_intr+0x163/0x180 [nouveau]

The video corruption and this line make me believe that this is really a nouveau issue.

Machine has been running Fedora for at least 5 years (being upgraded of course) and hibernates without a problem.

Comment 1 Ben Cotton 2019-05-02 20:05:44 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 23:30:00 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.